Top level functions

Function that affect Emile as a whole. More...

## Functions

EAPI int | emile_init (void)
| Initialize the Emile library.
EAPI int | emile_shutdown (void)
| Shut down the Emile library.

## Detailed Description

Function that affect Emile as a whole.

## Function Documentation

## emile_init()

EAPI int emile_init | ( | void |  | ) |

Initialize the Emile library.

The first time this function is called, it will perform all the internal initialization required for the library to function properly and increment the initialization counter. Any subsequent call only increment this counter and return its new value, so it's safe to call this function more than once.

Returns
  The new init count. Will be 0 if initialization failed.

Since
  1.14

References eina_init(), eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, EINA_LOG_STATE_STOP, eina_log_timing(), and eina_shutdown().

Referenced by ecore_con_url_init(), and eet_init().

## emile_shutdown()

EAPI int emile_shutdown | ( | void |  | ) |

Shut down the Emile library.

If emile_init() was called more than once for the running application, emile_shutdown() will decrement the initialization counter and return its new value, without doing anything else. When the counter reaches 0, all of the internal elements will be shutdown and any memory used freed.

Returns
  The new init count.

Since
  1.14

References eina_log_domain_unregister(), EINA_LOG_STATE_SHUTDOWN, EINA_LOG_STATE_START, eina_log_timing(), and eina_shutdown().

Referenced by ecore_con_url_init(), ecore_con_url_shutdown(), and eet_shutdown().